       program fattoriale
! Questo programma calcola il fattoriale del numero N
       implicit none
       integer n,fatt
       integer i
       
        write(6,*)'Introdurre N'
        read(5,*) N
        fatt=1 
        do i=2,N
          fatt=fatt*i
        end do
        write(6,*)N,'!= ',fatt

       stop
       end
